Package com.emc.documentum.rest.model

# Class CabinetObject

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.SysObject
com.emc.documentum.rest.model.FolderObject
com.emc.documentum.rest.model.CabinetObject

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

public class CabinetObject extends FolderObject
Cabinet object

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.SysObject

  `DEFAULT_FIELDS, INTERNAL_FIELDS, MANDATORY_FIELDS, OPTIONAL_FIELDS`

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CabinetObject()`

- ## Method Summary

  ### Methods inherited from class com.emc.documentum.rest.model.SysObject

  `addDcWriteUrl, getBindingLabel, getDcWriteUrls, getHref, getInternalFields, getMandatoryFields, getObjectAspects, getObjectLifecycle, getOptionalFields, getSharingParent, isDeepCopy, isIncludeBroken, isReplicateVdChildren, isRetainAcl, setBindingLabel, setDeepCopy, setHref, setIncludeBroken, setObjectAspects, setObjectLifecycle, setReplicateVdChildren, setRetainAcl, setSharingParent`

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getId, getMandatoryAttribute, getParentId, getPermissions, getReqDigest, getType, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CabinetObject

    public CabinetObject()